Eclipse Community Forums
Forum Search:

Search      Help    Register    Login    Home
Home » Eclipse Projects » Nebula » Gallery JAR failure?
Gallery JAR failure? [message #36778] Mon, 25 June 2007 21:44 Go to next message
Syed Tirmizi is currently offline Syed Tirmizi
Messages: 11
Registered: July 2009
Junior Member
Hi,

I am working with nebula gallery. When I include the JAR file into my
project, I don't get any exceptions but my GUI fails to load as soon as
I try to construct any gallery related object (Gallery, Galery Item,
Renderer etc). However, if I include the whole source into my project,
it works fine.

Also, upon including source, GalleryDragSourceEffect file is unable to
import org.eclipse.swt.dnd.DragSourceEffect and thus gives errors ...
when I delete GalleryDragSourceEffect.java, my project works fine.

Can anyone tell me why I cant just use the JAR, and how can I get rid
of this error with GalleryDragSourceEffect?

Thanks,
Hamid
Re: Gallery JAR failure? [message #36813 is a reply to message #36778] Tue, 26 June 2007 04:02 Go to previous messageGo to next message
Thomas Schindl is currently offline Thomas Schindl
Messages: 5192
Registered: July 2009
Senior Member
What's your target env? I'd guess that nebula widgets are compiled
against 3.3 and the class you mention is from maybe from 3.3.

If you include the source this works because the eclipse compiler
produces half compiled .class files and if you programm is not running
into the code part that caused the error it works :-)

Tom

Syed Tirmizi schrieb:
> Hi,
>
> I am working with nebula gallery. When I include the JAR file into my
> project, I don't get any exceptions but my GUI fails to load as soon as
> I try to construct any gallery related object (Gallery, Galery Item,
> Renderer etc). However, if I include the whole source into my project,
> it works fine.
>
> Also, upon including source, GalleryDragSourceEffect file is unable to
> import org.eclipse.swt.dnd.DragSourceEffect and thus gives errors ...
> when I delete GalleryDragSourceEffect.java, my project works fine.
>
> Can anyone tell me why I cant just use the JAR, and how can I get rid of
> this error with GalleryDragSourceEffect?
>
> Thanks,
> Hamid
>
Re: Gallery JAR failure? [message #36847 is a reply to message #36813] Tue, 26 June 2007 04:46 Go to previous messageGo to next message
Nicolas Richeton is currently offline Nicolas Richeton
Messages: 179
Registered: July 2009
Senior Member
The Drag source effect is indeed a new feature of SWT 3.3.
Could you check if you can use the jar with the latest RC of SWT 3.3 ?
Are you using SWT alone or RCP ?

Nicolas

Tom Schindl a écrit :
> What's your target env? I'd guess that nebula widgets are compiled
> against 3.3 and the class you mention is from maybe from 3.3.
>
> If you include the source this works because the eclipse compiler
> produces half compiled .class files and if you programm is not running
> into the code part that caused the error it works :-)
>
> Tom
>
> Syed Tirmizi schrieb:
>> Hi,
>>
>> I am working with nebula gallery. When I include the JAR file into my
>> project, I don't get any exceptions but my GUI fails to load as soon
>> as I try to construct any gallery related object (Gallery, Galery
>> Item, Renderer etc). However, if I include the whole source into my
>> project, it works fine.
>>
>> Also, upon including source, GalleryDragSourceEffect file is unable to
>> import org.eclipse.swt.dnd.DragSourceEffect and thus gives errors ...
>> when I delete GalleryDragSourceEffect.java, my project works fine.
>>
>> Can anyone tell me why I cant just use the JAR, and how can I get rid
>> of this error with GalleryDragSourceEffect?
>>
>> Thanks,
>> Hamid
>>
Re: Gallery JAR failure? [message #36881 is a reply to message #36847] Tue, 26 June 2007 07:31 Go to previous messageGo to next message
Syed Tirmizi is currently offline Syed Tirmizi
Messages: 11
Registered: July 2009
Junior Member
I am using Eclipse 3.2 on Mac OS X (and Windows, since my application
needs to run on both). I am building an RCP application.

Should I migrate to 3.3? What would it change?

Thanks for your help.
Hamid

On 2007-06-26 03:46:11 -0500, Nicolas Richeton
<nicolas.richeton@gmail.com> said:

> The Drag source effect is indeed a new feature of SWT 3.3.
> Could you check if you can use the jar with the latest RC of SWT 3.3 ?
> Are you using SWT alone or RCP ?
>
> Nicolas
>
> Tom Schindl a écrit :
>> What's your target env? I'd guess that nebula widgets are compiled
>> against 3.3 and the class you mention is from maybe from 3.3.
>>
>> If you include the source this works because the eclipse compiler
>> produces half compiled .class files and if you programm is not running
>> into the code part that caused the error it works :-)
>>
>> Tom
>>
>> Syed Tirmizi schrieb:
>>> Hi,
>>>
>>> I am working with nebula gallery. When I include the JAR file into my
>>> project, I don't get any exceptions but my GUI fails to load as soon as
>>> I try to construct any gallery related object (Gallery, Galery Item,
>>> Renderer etc). However, if I include the whole source into my project,
>>> it works fine.
>>>
>>> Also, upon including source, GalleryDragSourceEffect file is unable to
>>> import org.eclipse.swt.dnd.DragSourceEffect and thus gives errors ...
>>> when I delete GalleryDragSourceEffect.java, my project works fine.
>>>
>>> Can anyone tell me why I cant just use the JAR, and how can I get rid
>>> of this error with GalleryDragSourceEffect?
>>>
>>> Thanks,
>>> Hamid
Re: Gallery JAR failure? [message #36914 is a reply to message #36881] Tue, 26 June 2007 08:07 Go to previous messageGo to next message
Nicolas Richeton is currently offline Nicolas Richeton
Messages: 179
Registered: July 2009
Senior Member
Not much. You should be able to run you app in Eclipse 3.3 without
changing anything in your code. Maybe some dependencies problems in some
case that can be easily fixed. Give a try on a separate eclipse install.

Eclipse 3.3 has a real better OSX support (realtime window resizing,
tray icon, search style for text widget, ...).

I'm developping the Gallery Widget on Eclipse 3.3 / OSX since M1.

Appart from the DragSourceEffect, I'm surprised you have problems with
the Gallery and SWT 3.2. I see no more dependency problems in the code
and the jar seems ok. This should work as far as you don't use the
DragSourceEffect.

Did you add the Gallery plugin jar to your feature and checked that the
run config was correctly updated ?

Nicolas

Syed Tirmizi a écrit :
> I am using Eclipse 3.2 on Mac OS X (and Windows, since my application
> needs to run on both). I am building an RCP application.
>
> Should I migrate to 3.3? What would it change?
>
> Thanks for your help.
> Hamid
>
> On 2007-06-26 03:46:11 -0500, Nicolas Richeton
> <nicolas.richeton@gmail.com> said:
>
>> The Drag source effect is indeed a new feature of SWT 3.3.
>> Could you check if you can use the jar with the latest RC of SWT 3.3 ?
>> Are you using SWT alone or RCP ?
>>
>> Nicolas
>>
>> Tom Schindl a écrit :
>>> What's your target env? I'd guess that nebula widgets are compiled
>>> against 3.3 and the class you mention is from maybe from 3.3.
>>>
>>> If you include the source this works because the eclipse compiler
>>> produces half compiled .class files and if you programm is not
>>> running into the code part that caused the error it works :-)
>>>
>>> Tom
>>>
>>> Syed Tirmizi schrieb:
>>>> Hi,
>>>>
>>>> I am working with nebula gallery. When I include the JAR file into
>>>> my project, I don't get any exceptions but my GUI fails to load as
>>>> soon as I try to construct any gallery related object (Gallery,
>>>> Galery Item, Renderer etc). However, if I include the whole source
>>>> into my project, it works fine.
>>>>
>>>> Also, upon including source, GalleryDragSourceEffect file is unable
>>>> to import org.eclipse.swt.dnd.DragSourceEffect and thus gives errors
>>>> ... when I delete GalleryDragSourceEffect.java, my project works fine.
>>>>
>>>> Can anyone tell me why I cant just use the JAR, and how can I get
>>>> rid of this error with GalleryDragSourceEffect?
>>>>
>>>> Thanks,
>>>> Hamid
>
>
Re: Gallery JAR failure? [message #38500 is a reply to message #36914] Tue, 14 August 2007 16:29 Go to previous messageGo to next message
Peter Centgraf is currently offline Peter Centgraf
Messages: 52
Registered: July 2009
Member
FYI, if you compile against 3.3 and use only 3.2-compatible APIs, it is
still possible that the compiler will generate code that does not work
under 3.2. This is because the bytecodes used to call methods can
change depending on the full class hierarchy of the target method in
some cases.

AFAIK, the only way to be certain that new code will work in a specific
environment is to build with the lower-bound version of all
dependencies. Yes, this is a real drag. I think PDE Build is
considering a way to deal with this for 3.4, but I've misplaced the
bugzilla entry.

--
Peter
Re: Gallery JAR failure? [message #38629 is a reply to message #38500] Wed, 15 August 2007 11:39 Go to previous message
Thomas Schindl is currently offline Thomas Schindl
Messages: 5192
Registered: July 2009
Senior Member
Databinding also hit this bug see 177476.

Tom

Peter Centgraf schrieb:
> FYI, if you compile against 3.3 and use only 3.2-compatible APIs, it is
> still possible that the compiler will generate code that does not work
> under 3.2. This is because the bytecodes used to call methods can
> change depending on the full class hierarchy of the target method in
> some cases.
>
> AFAIK, the only way to be certain that new code will work in a specific
> environment is to build with the lower-bound version of all
> dependencies. Yes, this is a real drag. I think PDE Build is
> considering a way to deal with this for 3.4, but I've misplaced the
> bugzilla entry.
>
> --
> Peter


--
B e s t S o l u t i o n . at
------------------------------------------------------------ --------
Tom Schindl JFace-Committer
------------------------------------------------------------ --------
Re: Gallery JAR failure? [message #583284 is a reply to message #36778] Tue, 26 June 2007 04:02 Go to previous message
Thomas Schindl is currently offline Thomas Schindl
Messages: 5192
Registered: July 2009
Senior Member
What's your target env? I'd guess that nebula widgets are compiled
against 3.3 and the class you mention is from maybe from 3.3.

If you include the source this works because the eclipse compiler
produces half compiled .class files and if you programm is not running
into the code part that caused the error it works :-)

Tom

Syed Tirmizi schrieb:
> Hi,
>
> I am working with nebula gallery. When I include the JAR file into my
> project, I don't get any exceptions but my GUI fails to load as soon as
> I try to construct any gallery related object (Gallery, Galery Item,
> Renderer etc). However, if I include the whole source into my project,
> it works fine.
>
> Also, upon including source, GalleryDragSourceEffect file is unable to
> import org.eclipse.swt.dnd.DragSourceEffect and thus gives errors ...
> when I delete GalleryDragSourceEffect.java, my project works fine.
>
> Can anyone tell me why I cant just use the JAR, and how can I get rid of
> this error with GalleryDragSourceEffect?
>
> Thanks,
> Hamid
>
Re: Gallery JAR failure? [message #583291 is a reply to message #36813] Tue, 26 June 2007 04:46 Go to previous message
Nicolas Richeton is currently offline Nicolas Richeton
Messages: 179
Registered: July 2009
Senior Member
The Drag source effect is indeed a new feature of SWT 3.3.
Could you check if you can use the jar with the latest RC of SWT 3.3 ?
Are you using SWT alone or RCP ?

Nicolas

Tom Schindl a écrit :
> What's your target env? I'd guess that nebula widgets are compiled
> against 3.3 and the class you mention is from maybe from 3.3.
>
> If you include the source this works because the eclipse compiler
> produces half compiled .class files and if you programm is not running
> into the code part that caused the error it works :-)
>
> Tom
>
> Syed Tirmizi schrieb:
>> Hi,
>>
>> I am working with nebula gallery. When I include the JAR file into my
>> project, I don't get any exceptions but my GUI fails to load as soon
>> as I try to construct any gallery related object (Gallery, Galery
>> Item, Renderer etc). However, if I include the whole source into my
>> project, it works fine.
>>
>> Also, upon including source, GalleryDragSourceEffect file is unable to
>> import org.eclipse.swt.dnd.DragSourceEffect and thus gives errors ...
>> when I delete GalleryDragSourceEffect.java, my project works fine.
>>
>> Can anyone tell me why I cant just use the JAR, and how can I get rid
>> of this error with GalleryDragSourceEffect?
>>
>> Thanks,
>> Hamid
>>
Re: Gallery JAR failure? [message #583307 is a reply to message #36847] Tue, 26 June 2007 07:31 Go to previous message
Syed Tirmizi is currently offline Syed Tirmizi
Messages: 11
Registered: July 2009
Junior Member
I am using Eclipse 3.2 on Mac OS X (and Windows, since my application
needs to run on both). I am building an RCP application.

Should I migrate to 3.3? What would it change?

Thanks for your help.
Hamid

On 2007-06-26 03:46:11 -0500, Nicolas Richeton
<nicolas.richeton@gmail.com> said:

> The Drag source effect is indeed a new feature of SWT 3.3.
> Could you check if you can use the jar with the latest RC of SWT 3.3 ?
> Are you using SWT alone or RCP ?
>
> Nicolas
>
> Tom Schindl a écrit :
>> What's your target env? I'd guess that nebula widgets are compiled
>> against 3.3 and the class you mention is from maybe from 3.3.
>>
>> If you include the source this works because the eclipse compiler
>> produces half compiled .class files and if you programm is not running
>> into the code part that caused the error it works :-)
>>
>> Tom
>>
>> Syed Tirmizi schrieb:
>>> Hi,
>>>
>>> I am working with nebula gallery. When I include the JAR file into my
>>> project, I don't get any exceptions but my GUI fails to load as soon as
>>> I try to construct any gallery related object (Gallery, Galery Item,
>>> Renderer etc). However, if I include the whole source into my project,
>>> it works fine.
>>>
>>> Also, upon including source, GalleryDragSourceEffect file is unable to
>>> import org.eclipse.swt.dnd.DragSourceEffect and thus gives errors ...
>>> when I delete GalleryDragSourceEffect.java, my project works fine.
>>>
>>> Can anyone tell me why I cant just use the JAR, and how can I get rid
>>> of this error with GalleryDragSourceEffect?
>>>
>>> Thanks,
>>> Hamid
Re: Gallery JAR failure? [message #583320 is a reply to message #36881] Tue, 26 June 2007 08:07 Go to previous message
Nicolas Richeton is currently offline Nicolas Richeton
Messages: 179
Registered: July 2009
Senior Member
Not much. You should be able to run you app in Eclipse 3.3 without
changing anything in your code. Maybe some dependencies problems in some
case that can be easily fixed. Give a try on a separate eclipse install.

Eclipse 3.3 has a real better OSX support (realtime window resizing,
tray icon, search style for text widget, ...).

I'm developping the Gallery Widget on Eclipse 3.3 / OSX since M1.

Appart from the DragSourceEffect, I'm surprised you have problems with
the Gallery and SWT 3.2. I see no more dependency problems in the code
and the jar seems ok. This should work as far as you don't use the
DragSourceEffect.

Did you add the Gallery plugin jar to your feature and checked that the
run config was correctly updated ?

Nicolas

Syed Tirmizi a écrit :
> I am using Eclipse 3.2 on Mac OS X (and Windows, since my application
> needs to run on both). I am building an RCP application.
>
> Should I migrate to 3.3? What would it change?
>
> Thanks for your help.
> Hamid
>
> On 2007-06-26 03:46:11 -0500, Nicolas Richeton
> <nicolas.richeton@gmail.com> said:
>
>> The Drag source effect is indeed a new feature of SWT 3.3.
>> Could you check if you can use the jar with the latest RC of SWT 3.3 ?
>> Are you using SWT alone or RCP ?
>>
>> Nicolas
>>
>> Tom Schindl a écrit :
>>> What's your target env? I'd guess that nebula widgets are compiled
>>> against 3.3 and the class you mention is from maybe from 3.3.
>>>
>>> If you include the source this works because the eclipse compiler
>>> produces half compiled .class files and if you programm is not
>>> running into the code part that caused the error it works :-)
>>>
>>> Tom
>>>
>>> Syed Tirmizi schrieb:
>>>> Hi,
>>>>
>>>> I am working with nebula gallery. When I include the JAR file into
>>>> my project, I don't get any exceptions but my GUI fails to load as
>>>> soon as I try to construct any gallery related object (Gallery,
>>>> Galery Item, Renderer etc). However, if I include the whole source
>>>> into my project, it works fine.
>>>>
>>>> Also, upon including source, GalleryDragSourceEffect file is unable
>>>> to import org.eclipse.swt.dnd.DragSourceEffect and thus gives errors
>>>> ... when I delete GalleryDragSourceEffect.java, my project works fine.
>>>>
>>>> Can anyone tell me why I cant just use the JAR, and how can I get
>>>> rid of this error with GalleryDragSourceEffect?
>>>>
>>>> Thanks,
>>>> Hamid
>
>
Re: Gallery JAR failure? [message #584010 is a reply to message #36914] Tue, 14 August 2007 16:29 Go to previous message
Peter Centgraf is currently offline Peter Centgraf
Messages: 52
Registered: July 2009
Member
FYI, if you compile against 3.3 and use only 3.2-compatible APIs, it is
still possible that the compiler will generate code that does not work
under 3.2. This is because the bytecodes used to call methods can
change depending on the full class hierarchy of the target method in
some cases.

AFAIK, the only way to be certain that new code will work in a specific
environment is to build with the lower-bound version of all
dependencies. Yes, this is a real drag. I think PDE Build is
considering a way to deal with this for 3.4, but I've misplaced the
bugzilla entry.

--
Peter
Re: Gallery JAR failure? [message #584065 is a reply to message #38500] Wed, 15 August 2007 11:39 Go to previous message
Thomas Schindl is currently offline Thomas Schindl
Messages: 5192
Registered: July 2009
Senior Member
Databinding also hit this bug see 177476.

Tom

Peter Centgraf schrieb:
> FYI, if you compile against 3.3 and use only 3.2-compatible APIs, it is
> still possible that the compiler will generate code that does not work
> under 3.2. This is because the bytecodes used to call methods can
> change depending on the full class hierarchy of the target method in
> some cases.
>
> AFAIK, the only way to be certain that new code will work in a specific
> environment is to build with the lower-bound version of all
> dependencies. Yes, this is a real drag. I think PDE Build is
> considering a way to deal with this for 3.4, but I've misplaced the
> bugzilla entry.
>
> --
> Peter


--
B e s t S o l u t i o n . at
------------------------------------------------------------ --------
Tom Schindl JFace-Committer
------------------------------------------------------------ --------
Previous Topic:SWT Ribbon
Next Topic:SWT Ribbon
Goto Forum:
  


Current Time: Thu Jul 10 06:49:04 EDT 2014

Powered by FUDForum. Page generated in 0.05185 seconds